/*
 * David Muller; Germán Alfaro
 * davehmuller@gmail.com; alfaro.germanevera@gmail.com
 */


#ifndef PHFETSOS_SDCARD_H_
#define PHFETSOS_SDCARD_H_

#include "system.h"
#include "microsd.h"
#include "user_io.h"
#include "fatfs/src/diskio.h"
#include "fatfs/src/ff.h" 	// FRESULT is defined in this file
#include "utils/cmdline.h"


// SDCard.c function prototypes:
void Init_SDCard(void);
void closeSDCard(void);
void viewFiles(void);
void appendBufferToSDCard(char *buffer);
const char *StringFromFresult(FRESULT fresult);  //For decoding SD card error messages
int sd_fprintf(FIL *fil, const char *format, ...);
void sd_format(void);

#endif /* PHFETSOS_SDCARD_H_ */
